Imports System.Xml.Serialization

Public Class OrderItem
    <XmlElement(ElementName:="Item")> _
    Public Item As String

    <XmlAttributeAttribute(AttributeName:="Cost")> _
    Public Price As Decimal

    Private m_Quantity As Integer

    <XmlAttributeAttribute(AttributeName:="Number")> _
    Public Property Quantity() As Integer
        Get
            Quantity = m_Quantity
        End Get
        Set(ByVal Value As Integer)
            m_Quantity = Value
        End Set
    End Property

    Public Sub New()
    End Sub

    Public Sub New(ByVal new_item As String, ByVal new_price As Decimal, ByVal new_quantity As Integer)
        Item = new_item
        Price = new_price
        Quantity = new_quantity
    End Sub
End Class
